Get all cron jobs for an environment
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/cron
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envResponses
Section titled “Responses”The cron jobs
Media typeapplication/json
object
name
string
description
string
scheduleExpression
string
command
Array<string>
targetContainerName
string
isEnabled
boolean
Examplegenerated
{ "name": "example", "description": "example", "scheduleExpression": "example", "command": [ "example" ], "targetContainerName": "example", "isEnabled": true}The environment not found
